import * as a from "react";
import "../../config-provider/index.mjs";
import { ConfigContext as f } from "../../config-provider/context.mjs";
function p(e, r) {
  const {
    getPrefixCls: t,
    direction: o,
    renderEmpty: n
  } = a.useContext(f), c = r || o, s = t("select", e), i = t("cascader", e);
  return [s, i, c, n];
}
export {
  p as default
};
